> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get datasets



## OpenAPI

````yaml get /api/data/v1.0/customer/{customerId}/DataSet
openapi: 3.0.1
info:
  title: Data Api v1.0
  version: v1.0
servers:
  - url: https://app.allyy.io
security: []
paths:
  /api/data/v1.0/customer/{customerId}/DataSet:
    get:
      tags:
        - DataSet
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: take
          in: query
          schema:
            type: integer
            format: int32
        - name: skip
          in: query
          schema:
            type: integer
            format: int32
        - name: version
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DataSetModelMultipleResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/DataSetModelMultipleResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/DataSetModelMultipleResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2:
            - oneprediction_api
components:
  schemas:
    DataSetModelMultipleResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/Metadata'
        data:
          type: array
          items:
            $ref: '#/components/schemas/DataSetModel'
          nullable: true
        totalItemsCount:
          type: integer
          format: int32
      additionalProperties: false
    Metadata:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        validation:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          nullable: true
        info:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    DataSetModel:
      required:
        - title
      type: object
      properties:
        title:
          maxLength: 50
          minLength: 3
          pattern: ^[a-zA-Z0-9_]*$
          type: string
        encryptionEnabled:
          type: boolean
        id:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/DataSetStatus'
        contactCount:
          type: integer
          format: int32
        offerCount:
          type: integer
          format: int32
        treatmentCount:
          type: integer
          format: int32
        contentItemCount:
          type: integer
          format: int32
        offerResponseCount:
          type: integer
          format: int32
        treatmentResponseCount:
          type: integer
          format: int32
        contentItemResponseCount:
          type: integer
          format: int32
        treatmentContactCount:
          type: integer
          format: int32
        datasourceCount:
          type: integer
          format: int32
        lastUploadTime:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ValidationError:
      type: object
      properties:
        property:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    DataSetStatus:
      enum:
        - 1
        - 2
        - 10
      type: integer
      format: int32
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://app.allyy.io/api/authentication/connect/authorize
          scopes:
            allyy_api: Allyy API - full access

````